%define major	15
%define package_name gtkhtml

Summary:	GtkHTML is a HTML rendering/editing library.
Name:		%{package_name}
Version: 	0.12.0
Release:	1mdk
License:	GPL
Group:		Graphical desktop/GNOME
BuildRequires: XFree86-devel ORBit-devel gnome-libs-devel audiofile-devel libbonobo2-devel esound-devel 
BuildRequires: imlib-devel gdk-pixbuf-devel gnome-print-devel libjpeg-devel oaf-devel libpng-devel 
BuildRequires: popt-devel libtiff-devel libxml-devel zlib-devel libgal11-devel libglibwww-devel
BuildRequires: control-center-devel libGConf1-devel libghttp1-devel libglade0-devel
Source0: 	ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gtkhtml/%{package_name}-%{version}.tar.bz2
Patch0:		gtkhtml-0.12-ia64.patch.bz2
URL:		ftp://ftp.gnome.org/pub/GNOME/unstable/sources/gtkhtml/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Provides:   %{package_name} = %{version}

Requires:	bonobo >= 0.32
Requires:   GConf >= 0.11
Requires:	control-center

Requires:	gdk-pixbuf >= 0.8

%description 
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%package -n lib%{package_name}%{major}
Summary:        Libraries for GtkHTML
Group:          System/Libraries

%description -n lib%{package_name}%{major}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%package -n lib%{package_name}%{major}-devel
Provides:		lib%{package_name}-devel
Summary:        Development libraries, header files and utilities for GtkHTML
Group:          Development/GNOME and GTK+
Requires:       lib%{package_name}%{major} = %{version}
Provides:		lib%{package_name}-devel = %{version}
Obsoletes:		%{package_name}-devel
Provides:		%{package_name}-devel = %{version}

%description -n lib%{package_name}%{major}-devel
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%prep
%setup -q -n %{package_name}-%{version}
%patch0 -p1 -b .ia64

# needed by latest libtool
aclocal -I macros
autoconf

%build

%configure --with-gconf --with-bonobo
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/gtkhtml-properties-capplet" \
  needs="gnome" section="Configuration/Gnome" title="HTML Viewer" \
  longtitle="HTML Viewer properties"

EOF

%{find_lang} %{package_name}


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{name}
%{update_menus}

%postun -n %{name}
%{clean_menus}

%post -p /sbin/ldconfig -n lib%{package_name}%{major}
%postun -p /sbin/ldconfig -n lib%{package_name}%{major}

%files -f %{package_name}.lang -n %{name}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_libdir}/bonobo/plugin/*.so
%{_datadir}/gtkhtml
%{_datadir}/gnome/apps/Settings/Documents/*.desktop
%{_datadir}/gnome/ui/*
%{_datadir}/control-center/Documents/*.desktop
%{_datadir}/oaf/*
%{_sysconfdir}/CORBA/servers/*.gnorba
%{_menudir}/*

%files -n lib%{package_name}%{major}
%defattr(-, root, root)
%doc AUTHORS COPYING 
%{_libdir}/*.so.*

%files -n lib%{package_name}%{major}-devel
%defattr(-, root, root)
%{_libdir}/*a
%{_libdir}/*.so
%{_includedir}/gtkhtml
%{_libdir}/*Conf.sh
%{_libdir}/bonobo/plugin/*.*a
%{_datadir}/gnome/html/*

%changelog
* Thu Aug 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.0-1mdk
- Release 0.12.0
- Patch0: fix for 64bits arch

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-3mdk
- Grr, recompiled again, gtkhtml still have dependency on old libgal

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-2mdk
- Remove duplicate entry in control center
- Recompiled against libgal11

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1
- Rename source package again
- Clean specfile
- Compiled against libgal9

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-2mdk
- Rename source package before new major version

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-1mdk
- Release 0.10.1
- Rename source package again
- Remove patches 0 & 1 (merged upstream)
- compiled against latest gal

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-5mdk
- Rename source package before new major version
- Fix bad dependencies

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-4mdk
- Patch1: really work with libgal7

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-3mdk
- Really remove dependency with libgal.so.6

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-2mdk
- Recompiled against libgal.so.7

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2
- Change lib package name
- Patch0 : add missing includes

* Thu Apr 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.3-3mdk
- Rename source packag before new major version

* Fri Mar 16 2001 Francis Galiegue <fg@mandrakesoft.com> 0.8.3-2mdk

- BuildRequires: libghttp1-devel

* Thu Mar 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.3-1mdk
- Remove patch 0 (merged upstream)
- Release 0.8.3

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-4mdk
- Recompiled with latest glib/gtk/gnomeprint

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-3mdk
- Really remove dependency on libgal.so.3

* Thu Feb 15 2001  <fcrozat@bi.mandrakesoft.com> 0.8.2-2mdk
- Remove buildconflict on libxml2-devel
- Recompiled against latest gal

* Thu Feb  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-1mdk
- Release 0.8.2
- Remove patch 0 & 1 (merged upstream)
- New patch 0 : allow compilation by completly renaming GtkHTMLClassProperties struct members.
- Add missing locales

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-5mdk
- Add explicit dependency on GConf (libGConf1 is not enough)

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-4mdk
- Recompiled with oaf 0.6.2

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Patch to compile with last version of bonobo
- Remove dependency on pspell (moved to gnome-spell package)
- Compiled with GConf support

* Fri Dec 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Release 0.8
- Correct dependency

* Fri Dec 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-4mdk
- Rename main package before upgrading (since next version is source
incompatible)

* Fri Dec  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Correct build requires until upstream has upgrade to new bonobo

* Wed Nov 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Rebuild with new gcc
- Split package

* Wed Oct 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7
- add menu entry

* Mon Aug 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6.1-1mdk
- Release 0.6.1 (merged from helix_3 package)
- compiled with pspell support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.5-3mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- BM + macroszification
- compiled without gconf (since its API is not yet stable)
- added missing files for oaf/html-editor-component (needed for Evolution)

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 0.5-1mdk
- Packaged for Mandrake

